#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.2
visibility:           public
id:                   persistent-test-2.13.1.2-ItwR0wRWud3CIpudF1txpo
key:                  persistent-test-2.13.1.2-ItwR0wRWud3CIpudF1txpo
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  27cebb757687cc9beffbd80a03ce3bc7
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.1.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.2-ItwR0wRWud3CIpudF1txpo
depends:
    HUnit-1.6.2.0-GxHj7QRrIr61777X28R6NT
    QuickCheck-2.14.2-JTbsW3unr4f1lZKwXKui6J
    aeson-2.1.1.0-8KPen6hyeogLmhemp4ZbOa base-4.15.1.0
    blaze-html-0.9.1.2-D7HS2RFjvZl1edcolkQH6T bytestring-0.10.12.1
    conduit-1.3.4.3-DqMUcg2g6IHJPWkqDo26v containers-0.6.4.1
    exceptions-0.10.4 hspec-2.10.6-FrueXlgI8gK7YkojMxFqIM
    hspec-expectations-0.8.2-LLBaPkVDkOALw8yPpKnxOv
    http-api-data-0.5-FE7robXu6wP8H1Z40IBSMI
    monad-control-1.0.3.1-7lMMPCaUiEs1ejka1kSp8A
    monad-logger-0.3.37-IIEwa9PDLyH5zMKcQr13XD mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.3.5-5NTy82FtOHA4Ja72yBNcTb
    quickcheck-instances-0.3.28-7qeqTZ2hK9s87Zay8oiKwL
    random-1.2.1.1-AHzwveRxxoAAsQlVBjR4re
    resourcet-1.2.6-CX715pmqwD88VLypurhCS0 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-3tiuWaRh2so9DJQGvLVNGp
    unliftio-0.2.23.0-C5tMhXAOaovK4qywlP7BQ5
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-AupS6pw9cGS61feF3nE08

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

